Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.script
Class MockResponseScriptInspector

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.AbstractXmlInspector
          com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.script.MockResponseScriptInspector

All Implemented Interfaces:
  XmlInspector, XmlLocationListener, Inspector

    public class MockResponseScriptInspector

extends AbstractXmlInspector

Field Summary

Fields inherited from interface com.eviware.soapui.support.components.Inspector
`DESCRIPTION_PROPERTY, ENABLED_PROPERTY, ICON_PROPERTY, TITLE_PROPERTY`

Constructor Summary
`protected` | `MockResponseScriptInspector(WsdlMockResponse mockResponse)`

Method Summary
`void` | `activate()`
`protected void` | `buildResponseScriptEditor()`
`javax.swing.JComponent` | `getComponent()`
`void` | `locationChanged(XmlLocation location)`
`void` | `release()`

Methods inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.AbstractXmlInspector
`addPropertyChangeListener, deactivate, getDescription, getEditor, getIcon, getInspectorId, getTitle, init, isEnabled, removePropertyChangeListener, setDescription, setEnabled, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockResponseScriptInspector

    protected MockResponseScriptInspector(WsdlMockResponse mockResponse)

Method Detail

### getComponent

    public javax.swing.JComponent getComponent()

### locationChanged

    public void locationChanged(XmlLocation location)

### activate

    public void activate()

  Specified by:
    `activate` in interface `Inspector`
  Overrides:
    `activate` in class `AbstractXmlInspector`

### buildResponseScriptEditor

    protected void buildResponseScriptEditor()

### release

    public void release()

  Specified by:
    `release` in interface `Inspector`
  Overrides:
    `release` in class `AbstractXmlInspector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.